diff --recursive --new-file --unified --exclude=.svn --exclude=.git /ram/gitcmp/flash-kernel/0.3/svn/debian/po/gu.po /ram/gitcmp/flash-kernel/0.3/git/debian/po/gu.po
--- /ram/gitcmp/flash-kernel/0.3/svn/debian/po/gu.po	2006-10-02 22:58:14.998660000 +0200
+++ /ram/gitcmp/flash-kernel/0.3/git/debian/po/gu.po	2009-08-06 21:21:50.707659709 +0200
@@ -15,7 +15,7 @@
 msgstr ""
 "Project-Id-Version: d-i\n"
 "Report-Msgid-Bugs-To: debian-boot@lists.debian.org\n"
-"POT-Creation-Date: 2006-09-30 12:21+0000\n"
+"POT-Creation-Date: 2006-04-14 18:23+0200\n"
 "PO-Revision-Date: 2006-07-10 15:53+0530\n"
 "Last-Translator: Kartik Mistry <kartik.mistry@gmail.com>\n"
 "Language-Team: Gujarati <team@utkarsh.org>\n"
@@ -26,34 +26,25 @@
 
 #. Type: text
 #. Description
-#. This item is a progress bar item when the system configures
-#. some flashable memory used by many embedded devices
-#: ../flash-kernel-installer.templates:5
-msgid "Configuring flash memory to boot the system"
-msgstr "સિસ્ટમ બુટ કરવા માટે ફ્લેશ મેમરી રૂપરેખાંકિત કરે છે"
+#: ../nslu2-firmware-installer.templates:3
+msgid "Configuring NSLU2 firmware to boot the system"
+msgstr "સિસ્ટમ બુટ કરવા માટે NSLU2 ફર્મવેર રૂપરેખાંકિત કરે છે"
 
 #. Type: text
 #. Description
-#. This is "preparing the system" to flash the kernel and initrd
-#. on a flashable memory
-#: ../flash-kernel-installer.templates:11
+#: ../nslu2-firmware-installer.templates:7
 msgid "Preparing the system"
 msgstr "સિસ્ટમ તૈયાર કરે છે"
 
 #. Type: text
 #. Description
-#. This is a progress bar showing up when the system
-#. write the kernel to the flashable memory of the embedded device
-#: ../flash-kernel-installer.templates:17
-msgid "Writing the kernel to flash memory"
-msgstr "કર્નલને ફ્લેશ મેમરીમાં લખે છે"
+#: ../nslu2-firmware-installer.templates:11
+msgid "Flashing kernel to NSLU2 firmware"
+msgstr "NSLU2 ફર્મવેરમાં ફ્લેશિંગ કરે છે"
 
 #. Type: text
 #. Description
 #. Main menu item
-#. This item is a menu entry for a step where the system configures
-#. the flashable memory used by many embedded devices
-#. (writing the kernel and initrd to it)
-#: ../flash-kernel-installer.templates:25
-msgid "Configure flash memory to boot the system"
-msgstr "સિસ્ટમ બુટ કરવા માટે ફ્લેશ મેમરી રૂપરેખાંકિત કરો"
+#: ../nslu2-firmware-installer.templates:16
+msgid "Configure NSLU2 firmware to boot the system"
+msgstr "સિસ્ટમ બુટ કરવા માટે NSLU2 ફર્મવેર રૂપરેખાંકિત કરો"
diff --recursive --new-file --unified --exclude=.svn --exclude=.git /ram/gitcmp/flash-kernel/0.3/svn/debian/po/hi.po /ram/gitcmp/flash-kernel/0.3/git/debian/po/hi.po
--- /ram/gitcmp/flash-kernel/0.3/svn/debian/po/hi.po	2006-10-02 22:58:14.998660000 +0200
+++ /ram/gitcmp/flash-kernel/0.3/git/debian/po/hi.po	2009-08-06 21:21:50.711659741 +0200
@@ -18,7 +18,7 @@
 msgstr ""
 "Project-Id-Version: hi\n"
 "Report-Msgid-Bugs-To: debian-boot@lists.debian.org\n"
-"POT-Creation-Date: 2006-09-30 12:21+0000\n"
+"POT-Creation-Date: 2006-04-14 18:23+0200\n"
 "PO-Revision-Date: 2006-10-01 21:33+0530\n"
 "Last-Translator: Nishant Sharma <me at nishants.net>\n"
 "Language-Team: Hindi\n"
@@ -30,34 +30,25 @@
 
 #. Type: text
 #. Description
-#. This item is a progress bar item when the system configures
-#. some flashable memory used by many embedded devices
-#: ../flash-kernel-installer.templates:5
-msgid "Configuring flash memory to boot the system"
-msgstr "तंत्र को बूट करने के लिए फ्लैश मेमोरी को व्यवस्थित कर रहे हैं"
+#: ../nslu2-firmware-installer.templates:3
+msgid "Configuring NSLU2 firmware to boot the system"
+msgstr "NSLU2 फर्मवेयर को सिस्टम बूट करने के लिए व्यवस्थित कर रहे है"
 
 #. Type: text
 #. Description
-#. This is "preparing the system" to flash the kernel and initrd
-#. on a flashable memory
-#: ../flash-kernel-installer.templates:11
+#: ../nslu2-firmware-installer.templates:7
 msgid "Preparing the system"
 msgstr "तंत्र को तैयार कर रहे हैं"
 
 #. Type: text
 #. Description
-#. This is a progress bar showing up when the system
-#. write the kernel to the flashable memory of the embedded device
-#: ../flash-kernel-installer.templates:17
-msgid "Writing the kernel to flash memory"
-msgstr "कर्नेल को फ्लैश मेमोरी में लिख रहे हैं"
+#: ../nslu2-firmware-installer.templates:11
+msgid "Flashing kernel to NSLU2 firmware"
+msgstr "कर्नेल को एनएसएलयू2 फर्मवेयर में फ्लैश कर रहे हैं"
 
 #. Type: text
 #. Description
 #. Main menu item
-#. This item is a menu entry for a step where the system configures
-#. the flashable memory used by many embedded devices
-#. (writing the kernel and initrd to it)
-#: ../flash-kernel-installer.templates:25
-msgid "Configure flash memory to boot the system"
-msgstr "तंत्र को बूट करने के लिए फ्लैश मेमोरी व्यवस्थित करें"
+#: ../nslu2-firmware-installer.templates:16
+msgid "Configure NSLU2 firmware to boot the system"
+msgstr "NSLU2 फर्मवेयर को तंत्र बूट करने के लिए व्यवस्थित करें"
diff --recursive --new-file --unified --exclude=.svn --exclude=.git /ram/gitcmp/flash-kernel/0.3/svn/debian/postinst /ram/gitcmp/flash-kernel/0.3/git/debian/postinst
--- /ram/gitcmp/flash-kernel/0.3/svn/debian/postinst	1970-01-01 01:00:00.000000000 +0100
+++ /ram/gitcmp/flash-kernel/0.3/git/debian/postinst	2009-08-06 21:21:50.711659741 +0200
@@ -0,0 +1,57 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+log() {
+	logger -t nslu2-firmware-installer "$@"
+}
+
+error() {
+	log "error: $@"
+}
+
+db_progress START 0 2 nslu2-firmware-installer/progress
+db_progress INFO nslu2-firmware-installer/prepare
+
+# The non-free ixp400_eth can be manually included on a d-i image,
+# if it is copy it into the installed system so it's available there too,
+# and gets put into the initramfs in flash.
+ixp400_found=0
+for file in $(find /lib/modules -type f |grep ixp400); do
+	ixp400_found=1
+	dir=$(dirname $file)
+	mkdir -p /target/$dir
+	cp -a $file /target/$file
+done
+if [ $ixp400_found -gt 1 ]; then
+	log "copied ixp400 driver to /target"
+	chroot /target depmod -a || true
+fi
+
+apt-install initramfs-tools || true # probably already installed; make sure
+if ! apt-install nslu2-utils; then
+	error "apt-install nslu2-utils failed"
+	exit 1
+fi
+
+# Set up nslu2-flashkernel to run on kernel upgrades.
+if ! grep -q nslu2-flashkernel /target/etc/kernel-img.conf; then
+	echo "postinst_hook = /usr/sbin/nslu2-flashkernel" >> \
+		/target/etc/kernel-img.conf
+fi
+
+db_progress STEP 1
+db_progress INFO nslu2-firmware-installer/flashing
+
+# We need the udev /dev which has the MTD devices
+mount -o bind /dev /target/dev
+if ! in-target nslu2-flashkernel; then
+	umount /target/dev || true
+	error "nslu2-flashkernel failed"
+	exit 1
+fi
+umount /target/dev || true
+
+db_progress STEP 1
+db_progress STOP
